TConnect Payment Open API
Integration documentation for TConnect Payment Open API system.
Authentication
Use JWT Bearer token. Call POST /openapi/v1/auth/login to get the access_token,
then add it to the Authorization: Bearer <token> header for all subsequent requests.
Encryption
All Request Bodies (except the Get Services API) are AES-256-CBC encrypted.
The data field contains the encrypted payload as a Hexadecimal string.
Environments
| Environment | Base URL |
|---|---|
| Staging | https://sme-open-api-sandbox.tconnect.vn |
| Production | Provided after testing is complete |
Authentication
- HTTP: Bearer Auth
- API Key: partnerCode
JWT access_token obtained from the Login API
Security Scheme Type: | http |
|---|---|
HTTP Authorization Scheme: | bearer |
Bearer format: | JWT |
Merchant identifier code (provided by TCONNECT)
Security Scheme Type: | apiKey |
|---|---|
Header parameter name: | Partner-Code |